Subject: Re: pci_device_id cleanups

From: Jonas Bonn <[email-masked]>
Date: Wed, 20 Feb 2008 14:27:19 +0100

Sam Ravnborg wrote:
> On Wed, Feb 20, 2008 at 01:53:36PM +0100, Jonas Bonn wrote:
>> The PCI_DEVICE_TABLE patch I sent earlier doesn't necessarily make
>> much sense by itself... here is a set of patches that apply
>> this macro, in turn moving a lot of this data into __devinitconst
>> which is discardable in certain situations.
>> Hopefully the benefit of this approach is a bit clearer now.
> [shorter lines please..]

Sorry...

> 
> Can you please confirm that this does not break powerpc (64 bit)
> as they have troubles with the constification..

I do not have access to any PowerPC machine... Olof Johansson built the 
tree I posted earlier on PowerPC; there's nothing really new here except 
the wrapping of the definition in a macro.

But of course, it would great if someone could confirm this...

> 	Sam